Get Specific Connection

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /connections/{connectionId}

Get Specific Connection.

Path parameters

  • connectionId string Required

    id of the Connection

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • _id string

      id of the Connection

    • action string

      depending of what type of action

    • connectionName string

      Name of the Connection

    • description string

      Description of the Connection

    • type string

      type of the Connection (db, iform_oauth2, slack, smtp, zoho)

    • config object
    • createdBy string

      Name of the creator

    • createById string

      Creator Entity Id

    • trustedEntities array

      Array of Entity Ids that have permission to use this connection

    • owningEntity string

      Connection owner

GET /connections/{connectionId}
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/connections/{connectionId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "_id": "56f5ee16dbfeb2ebea4c76dc",
  "action": "Edit",
  "connectionName": "sql_server_bad",
  "description": "test bad connection",
  "type": "db",
  "config": {
    "sqlServerPort": "1433",
    "sqlServerHost": "xxxxxxxxxx",
    "sqlServerUsername": "xxxxxxxxxx",
    "sqlServerPassword": "xxxxxxxxxx",
    "sqlServerDb": "xxxxxxxxxx",
    "sqlServerSchema": "xxxxxxxxxx",
    "subdomain": ""
  },
  "createdBy": "user_5000",
  "createById": "5684058f159fffbe29ff9912",
  "trustedEntities": [],
  "owningEntity": "user_5000"
}